Advertisement:

Author Topic: 1.1.21 -> 2.0.15 upgrade fails  (Read 320 times)

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 9,291
1.1.21 -> 2.0.15 upgrade fails
« on: June 11, 2019, 02:04:08 AM »
Trying to recover an old 1.1.11 database, am able to upgrade to 1.1.21, but upgrade to 2.0.15 stalls at 30-47%.  There were two databases, fixed the smaller one by copying data dumps into scratch 1.1.21 database, was able to upgrade to 2.0.15.  Tried same thing with larger database, and anything else I can think of, but no luck.  It just stalls at different points.  Server is not logging any errors, but I do see this when upgrade starts -

Error: mysqli_query() expects at least 2 parameters, 1 given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 3Error: mysqli_query() expects at least 2 parameters, 1 given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 4Error: mysqli_fetch_assoc() expects parameter 1 to be mysqli_result, null given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 7Error: mysqli_free_result() expects parameter 1 to be mysqli_result, null given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 12Error: getimagesize(/home/thekrash/public_html/zoo1/attachments/Zoo185.jpg): failed to open stream: No such file or directory File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 29Error: mysqli_query() expects at least 2 parameters, 1 given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 4Error: mysqli_num_rows() expects parameter 1 to be mysqli_result, null given File: /home/thekrash/public_html/zoo1/upgrade.php(2498) : eval()'d code Line: 5Error: mysqli_free_result() expects parameter 1 to be

It appears briefly against background above upgrade window, just for a few seconds, then disappears.  Have seen this before on several upgrades that completed successfully, so it may not be stalling the script.  I've worked around this problem before, but can't come up with anything to fix this one. >:(

Online vbgamer45

  • Customizer
  • SMF Super Hero
  • *
  • Posts: 21,555
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: 1.1.21 -> 2.0.15 upgrade fails
« Reply #1 on: July 04, 2019, 05:54:48 PM »
I would use SMF 2.0.13 first then if it works upgrade to SMF 2.0.15
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 9,291
Re: 1.1.21 -> 2.0.15 upgrade fails
« Reply #2 on: July 04, 2019, 06:03:42 PM »
Fixed it, don't remember how, or which forum it was, but thanks for the response.